Subject: Re: [PATCH 2.6.11 4/8] tg3: Add msi test

From: Jeff Garzik <[email-masked]>
Date: Tue, 22 Mar 2005 18:50:36 -0500

David S. Miller wrote:
> Just because it's what we've been doing doesn't mean it's the
> best solution in this case.
> 
> If you hope users will just report this stuff, most of them won't.
> They'll say Linux doesn't work on my computer and I have real life
> stuff to take care of so I'll install freebsd or windows or a different
> networking card and get on with life.
> 
> Eventually, say over a year or so, the database of bad chipsets will
> get built with your scheme, but to much hardship and pain to users.

What do you think will happen for all the other MSI drivers/hardware out 
there?

Adding this test to tg3 simply means another piece of hardware doesn't 
work.  The problem disappears for -you-, but not the user.

You're just pushing the pain around, for the -few- -early- systems with 
problems.

Sorry, I still disagree.  We need to think about how to handle this 
situation for -all- drivers and -all- users, not just tg3.

	Jeff